Skip to main content
`Ctrl`+`K`

# VecTagger

Object used to manage the tagging of a subset of indices based on the values of a vector. The motivating application is the selection of cells for refinement or coarsening based on vector containing the values in an error indicator metric.

## Synopsis

    typedef struct _p_VecTagger *VecTagger;

## Values

- `VECTAGGERABSOLUTE` - “absolute” values are in a interval (box for complex values) of explicitly defined values

- `VECTAGGERRELATIVE` - “relative” values are in a interval (box for complex values) of values relative to the set of all values in the vector

- `VECTAGGERCDF` - “cdf” values are in a relative range of the cumulative distribution of values in the vector

- `VECTAGGEROR` - “or” values are in the union of other tags

- `VECTAGGERAND` - “and” values are in the intersection of other tags

## Developer Note

Why not use a `DMLabel` or similar object

## See Also

Vectors and Parallel Data, `Vec`, `VecTaggerType`, `VecTaggerCreate()`

## Level

advanced

## Location

include/petscvec.h

## Examples

src/ts/tutorials/ex11.c
src/vec/vec/utils/tagger/tutorials/ex1.c
src/ts/tutorials/ex30.c
src/snes/tutorials/ex27.c

## Implementations

_p_VecTagger in include/petsc/private/vecimpl.h
VecTagger_AndOr in src/vec/vec/utils/tagger/impls/andor.h
VecTagger_CDF in src/vec/vec/utils/tagger/impls/cdf.c
VecTagger_Simple in src/vec/vec/utils/tagger/impls/simple.h

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages